Package com.independentsoft.office.drawing

# Class RawExtensionContent

java.lang.Object
com.independentsoft.office.drawing.RawExtensionContent

All Implemented Interfaces:
  `IExtensionContent`

public class RawExtensionContent extends Object implements IExtensionContent
Extension content preserved as raw XML - the fallback for extension elements that have no typed class. The markup is captured verbatim and re-emitted unchanged, so unknown extensions always survive a round trip.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `RawExtensionContent()`
  Instantiates a new raw extension content.
  `RawExtensionContent​(String xml)`
  Instantiates a new raw extension content.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `IExtensionContent`
  `clone()`
  Clone.
  `String`
  `getXml()`
  Gets the raw XML of the preserved extension content.
  `void`
  `setXml​(String xml)`
  Sets the raw XML of the preserved extension content.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### RawExtensionContent

    public RawExtensionContent()
    Instantiates a new raw extension content.

  - ### RawExtensionContent

    public RawExtensionContent​(String xml)
    Instantiates a new raw extension content.
    Parameters:
      `xml` - the captured outer XML

- ## Method Details

  - ### clone

    public IExtensionContent clone()
    Description copied from interface: `IExtensionContent`
    Clone.
    Specified by:
      `clone` in interface `IExtensionContent`
    Overrides:
      `clone` in class `Object`
    Returns:
      the extension content

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getXml

    public String getXml()
    Gets the raw XML of the preserved extension content.
    Returns:
      the raw XML

  - ### setXml

    public void setXml​(String xml)
    Sets the raw XML of the preserved extension content.
    Parameters:
      `xml` - the new raw XML